import { INTEGER, STRING } from "../common/field-types.mjs";

const fields = foundry.data.fields;

export default class RdDModelSortReserve extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return {
      sortid: new fields.StringField({ label: "ID du sort", initial: "", ...STRING }),
      draconic: new fields.StringField({ label: "Draconique", initial: "", ...STRING }),
      coord: new fields.StringField({ label: "Coordonnées TMR", initial: "", ...STRING }),
      ptreve: new fields.NumberField({ label: "Points de rêve", initial: 0, ...INTEGER }),
      heurecible: new fields.StringField({ label: "Heure cible", initial: "", ...STRING }),
      echectotal: new fields.BooleanField({ label: "Échec total", initial: false }),
    }
  }
}
